import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class TitleScreen extends World
{
    private GreenfootSound soundtrack = new GreenfootSound("Guitar-in-Space.mp3");
    public TitleScreen()//constructer
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(858, 536, 1,false); 
        prepare();
    }
    
    private void prepare()
    {
        GreenfootImage logo = new GreenfootImage("space-logo.png");
        Picture logoPic = new Picture (logo);
        addObject(logoPic,getWidth()/2, 150);
        Exit1 exit1 = new Exit1();
        addObject(exit1,610,430);
        Play1 play1 = new Play1();
        addObject(play1,220,430);
    }
    
    public void started()
    {
       soundtrack.play(); 
       //play sound in endless loop
       soundtrack.playLoop();
    }
    
    public void stopped()
    {
        /** Ver0.3-if the Button "PLAY" is clicked, the soundtrack stop playing.
         * (not working!!)
         */
        if (Greenfoot.mouseClicked(Play1.class))
        {
           soundtrack.stop();
        }
    }
}
