import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class HealthBar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HealthBar extends Actor
{
    private int width, height;
    private Hero myHero;
    
    public HealthBar(int width, int height, Hero myHero)
    {
        this.width = width;
        this.height = height;
        this.myHero = myHero;
    }
    
    public int getWidth()
    {
        return width;
    }
    
    public int getHeight()
    {
        return height;
    }
   
    public void act() 
    {
        draw();
    }    
    
    public void draw()
    {
        GreenfootImage myImage = new GreenfootImage (width, height);
        myImage.setColor(Color.RED);
        //draw a rectangle that reflex the amount of health that my Hero has.
        int healthPercentage = (int)(myHero.getStatus()*width);
        myImage.fillRect(0,0,healthPercentage,height);
        
        setImage(myImage);
    }
    
}
